/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerRequest {
    public id: string;

    public name: string;

    public tag: string;

    public trade: string;

    /**
     * Creates a WorkerRequest.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} tag
     * @param {string} trade
     */
    constructor(id: string, name: string, tag: string, trade: string) {
        this.id = id;
        this.name = name;
        this.tag = tag;
        this.trade = trade;
    }
}